Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class GroovyAssert

    java.lang.Object
      groovy.util.GroovyAssert

    public class GroovyAssert

Method Summary
`static java.lang.Throwable` | `shouldFail(Closure code)` Asserts that the given code closure fails when it is evaluated
`static java.lang.Throwable` | `shouldFail(java.lang.Class clazz, Closure code)` Asserts that the given code closure fails when it is evaluated and that a particular exception is thrown.
`static java.lang.Throwable` | `shouldFailWithCause(java.lang.Class clazz, Closure code)` Asserts that the given code closure fails when it is evaluated and that a particular exception can be attributed to the cause.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### shouldFail

    public static java.lang.Throwable shouldFail(Closure code)

  Asserts that the given code closure fails when it is evaluated
  Parameters:
    `code` - the code expected to throw the exception
  Returns:
    the message of the thrown Throwable

### shouldFail

    public static java.lang.Throwable shouldFail(java.lang.Class clazz, Closure code)

  Asserts that the given code closure fails when it is evaluated and that a particular exception is thrown.
  Parameters:
    `clazz` - the class of the expected exception
    `code` - the closure that should fail
  Returns:
    the message of the expected Throwable

### shouldFailWithCause

    public static java.lang.Throwable shouldFailWithCause(java.lang.Class clazz, Closure code)

  Asserts that the given code closure fails when it is evaluated and that a particular exception can be attributed to the cause. The expected exception class is compared recursively with any nested exceptions using getCause() until either a match is found or no more nested exceptions exist.

  If a match is found the error message associated with the matching exception is returned. If no match was found the method will fail.
  Parameters:
    `clazz` - the class of the expected exception
    `code` - the closure that should fail
  Returns:
    the message of the expected Throwable

Groovy Documentation